# angle::deg Class Reference

Angle representation in degrees. More...

`#include <ETL/angle>`

Inheritance diagram for angle::deg:

List of all members.

## Public Member Functions

| deg (const value_type &x)
| deg (const angle &a)
deg | mod () const
| Rotation Modulus.
deg | dist (const angle &rhs) const
| Angle Difference Function.
value_type | get () const

## Detailed Description

Angle representation in degrees.

See also:
  angle

Todo:
  This needs to be documented

Definition at line 381 of file _angle.h.

## Constructor & Destructor Documentation

angle::deg::deg | ( | const value_type & | x | ) | `[inline, explicit]`

Definition at line 384 of file _angle.h.

References angle::v.

angle::deg::deg | ( | const angle & | a | ) | `[inline]`

Definition at line 385 of file _angle.h.

## Member Function Documentation

deg angle::deg::mod | ( |  | ) | const`[inline]`

Rotation Modulus.

This function will return the value of the angle

Reimplemented from angle.

Definition at line 386 of file _angle.h.

References angle::mod().

deg angle::deg::dist | ( | const angle & | rhs | ) | const`[inline]`

Angle Difference Function.

This function will return the difference between two angles, just like

See also:
  angle operator-(const angle &)

Reimplemented from angle.

Definition at line 387 of file _angle.h.

References angle::dist().

value_type angle::deg::get | ( |  | ) | const`[inline]`

Definition at line 388 of file _angle.h.

References angle::v.

The documentation for this class was generated from the following file:

- _angle.h